import ComposableArchitecture
import FeatureA
import FeatureB
import SwiftUI

struct ContentView: View {
    private let storeA: StoreOf<FeatureA> = .init(initialState: .init()) {
        FeatureA()
    }

    private let storeB: StoreOf<FeatureB> = .init(initialState: .init()) {
        FeatureB()
    }

    var body: some View {
        VStack {
            FeatureAView(store: storeA)
            FeatureBView(store: storeB)
        }

    }
}

#Preview {
    ContentView()
}
